/// <reference types="node" />
import { BotCtxMiddleware } from '@builderbot/bot/dist/types';
import { EventEmitter } from 'node:events';
import { Polka } from 'polka';

import type { TwilioProvider } from './';
import { TwilioPayload } from './types';
/**
 * Encargado de levantar un servidor HTTP con una hook url
 * [POST] /twilio-hook
 */
declare class TwilioWebHookServer extends EventEmitter {
    server: Polka;
    port: number;
    constructor(twilioPort: number);
    /**
     * Mensaje entrante
     * emit: 'message'
     * @param req
     * @param res
     */
    private incomingMsg;
    /**
     * Manejar los local media como
     * C:\\Projects\\bot-restaurante\\tmp\\menu.png
     * para que puedas ser llevar a una url online
     * @param req
     * @param res
     */
    private handlerLocalMedia;
    /**
     * Construir HTTP Server
     * @returns Polka instance
     */
    protected buildHTTPServer(): Polka;
    /**
     * Iniciar el servidor HTTP
     */
    start(vendor: BotCtxMiddleware, port?: number): void;
    stop(): Promise<void>;
}
/**
 *
 * @param inHandleCtx
 * @returns
 */
declare const inHandleCtx: <T extends Pick<TwilioProvider, "sendMessage" | "vendor"> & {
    provider: TwilioProvider;
}>(ctxPolka: (bot: T, req: any, res: any) => Promise<void>) => (req: any, res: any) => any;
export { TwilioWebHookServer, TwilioPayload, inHandleCtx };
//# sourceMappingURL=server.d.ts.map